## NAME

r.out.ascii - Converts a raster map layer into a GRASS ASCII text file.

## KEYWORDS

raster, export, output, ASCII

## SYNOPSIS

r.out.ascii
r.out.ascii --help
r.out.ascii [-hsmi] input=name [output=name] [precision=integer] [width=integer] [null_value=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-h
  Suppress printing of header information
-s
  Write SURFER (Golden Software) ASCII grid
-m
  Write MODFLOW (USGS) ASCII array
-i
  Force output of integer values
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
output=name
  Name for output ASCII grid map (use out=- for stdout)
precision=integer
  Number of significant digits (floating point only)
width=integer
  Number of values printed before wrapping a line (only SURFER or MODFLOW format)
null_value=string
  String to represent null cell (GRASS grid only)
  Default: *

## DESCRIPTION

r.out.ascii converts a user-specified raster map layer (input=name) into an ASCII grid in a text file (output=name) suitable for export to other computer systems.

The GRASS program r.in.ascii can be used to perform the reverse function, converting an ASCII file in suitable format to GRASS raster map format.

To write a SURFER .grd ASCII GRID file (with reverted row order and different header) use the -s flag:

    r.out.ascii -s input=inname output=outname.grd [dp=value]

NULL data are coded to "1.70141e+038" for SURFER ASCII GRID files (ignoring the null= parameter).

## NOTES

The output from r.out.ascii may be placed into a file by using the UNIX redirection mechanism; e.g.:

    r.out.ascii input=soils output=- > out.file

The output file out.file can then be printed or copied onto a CDROM or floppy disk for export purposes.

To export the raster values as x,y,z values of cell centers (one per line) use the r.out.xyz module.

## SEE ALSO

r.in.ascii, r.in.gdal, r.out.bin, r.out.gdal, r.out.xyz

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Surfer support by Markus Neteler

## SOURCE CODE

Available at: r.out.ascii source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual